using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp20
{
    internal class Program
    {
        static void Main(string[] args)
        {
            
            string[] linija = Console.ReadLine().Split();
            int n =int.Parse( linija[0]);
            int q =int.Parse( linija[1]);
            bool postoji=false;
            linija = Console.ReadLine().Split();
            int[] a = new int[n];
            for (int i = 0; i < n; i++)
            {
                a[i] = int.Parse(linija[i]);
                
            }
            Array.Sort(a);
            int medijana =a[n/2];
            linija = Console.ReadLine().Split();
            int[] b = new int[q];
            for (int i = 0; i < q; i++)
            {
                b[i] = int.Parse(linija[i]);

                if (b[i] ==medijana)
                {
                    Console.WriteLine(0);
                }
                else if (b[i] <medijana)
                {
                    postoji = false;
                    for (int j = n / 2 - 1; j > -1; j--)
                    {


                        if (a[j] == b[i])
                        {
                            Console.WriteLine(n - 1 - 2 * j);
                            postoji = true;
                            break;
                        }
                        if (a[j] < b[i])
                        {
                            Console.WriteLine(n - 2 - 2 * j);
                            postoji = true;
                            break;
                        }
                    }
                    if (!postoji)
                        Console.WriteLine(n + 1);
                }
                else if (b[i] >medijana)
                {
                    postoji = false;
                    for (int j = n / 2; j < n; j++)
                    {
                        if (j != n / 2 || n % 2 != 0)
                        {
                            if (a[j] == b[i])
                            {
                                Console.WriteLine(j - (n - j));
                                postoji = true;
                                break;
                            }
                            if (a[j] > b[i])
                            {
                                Console.WriteLine(j - (n - j));
                                postoji = true;
                                break;
                            }
                        }

                    }
                    if (!postoji) Console.WriteLine(n);
                }
            }
      
        }
    }
}